API-Referenz
Zustellbarkeit
Events, Reputationsergebnisse und blockierte Empfänger einsehen.
Keine Operationen entsprechen diesem Filter.
GET
API-Schlüssel/deliverability/statsZustellstatistiken der letzten 30 Tage abrufen
Zustellstatistiken der letzten 30 Tage abrufen
curl https://sendhq.cc/api/v1/deliverability/stats \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"window": "30d",
"sent": 0,
"delivery": 0,
"bounce": 0,
"complaint": 0,
"deliveryRate": null
}GET
API-Schlüssel/deliverability/reputationReputationsstatus pro exakter Absenderidentität auflisten
Reputationsstatus pro exakter Absenderidentität auflisten
curl https://sendhq.cc/api/v1/deliverability/reputation \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [
{
"sender": "alerts@example.com",
"status": "active",
"dailyLimit": 2000,
"reason": null,
"cleanSince": "2026-09-01T00:00:00.000Z",
"warnedAt": null,
"pausedAt": null,
"evaluatedAt": "2026-09-07T00:00:00.000Z"
}
],
"count": 1
}GET
API-Schlüssel/suppressionsSperrliste des Workspace auflisten
Sperrliste des Workspace auflisten
curl https://sendhq.cc/api/v1/suppressions \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0
}DELETE
API-Schlüssel/suppressions/:emailEinen berechtigten Bounce-Eintrag von der Sperrliste entfernen
Einen berechtigten Bounce-Eintrag von der Sperrliste entfernen
curl https://sendhq.cc/api/v1/suppressions/email_value \
-X DELETE \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"ok": true
}GET
API-Schlüssel/blocked-recipientsBounces, Beschwerden und Abmeldungen auflisten
Bounces, Beschwerden und Abmeldungen auflisten
curl https://sendhq.cc/api/v1/blocked-recipients \
-X GET \
-H "Authorization: Bearer $SENDHQ_API_KEY"{
"data": [],
"count": 0,
"summary": {
"total": 0,
"unsubscribe": 0,
"bounce": 0,
"complaint": 0
}
}